package com.tencent.mm.plugin.appbrand.jsapi.bio.soter;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.MainProcessTask;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.r.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.soter.core.a;
import com.tencent.ytcommon.BuildConfig;
import java.util.HashMap;

class JsApiLuggageCheckIsSupportSoterAuthentication$GetIsSupportSoterTask extends MainProcessTask {
    public static final Creator<JsApiLuggageCheckIsSupportSoterAuthentication$GetIsSupportSoterTask> CREATOR = new 1();
    private int bOs = -1;
    private JsApiLuggageCheckIsSupportSoterAuthentication hDm;
    private String hDn = BuildConfig.FLAVOR;
    private c hzz = null;

    public final void asQ() {
        AppMethodBeat.i(73785);
        super.asQ();
        ab.d("MicroMsg.GetIsSupportSoterTask", "hy: callback. verifyRemoteStr: %s", new Object[]{this.hDn});
        HashMap hashMap = new HashMap(2);
        hashMap.put("verifyRemote", this.hDn);
        hashMap.put("nativeSupport", Boolean.valueOf(a.dQN()));
        ab.i("MicroMsg.GetIsSupportSoterTask", "hy: nativeSupport:" + a.dQN());
        this.hzz.M(this.bOs, this.hDm.j("ok", hashMap));
        h.at(this);
        AppMethodBeat.o(73785);
    }

    public JsApiLuggageCheckIsSupportSoterAuthentication$GetIsSupportSoterTask(c cVar, int i, JsApiLuggageCheckIsSupportSoterAuthentication jsApiLuggageCheckIsSupportSoterAuthentication) {
        this.hzz = cVar;
        this.bOs = i;
        this.hDm = jsApiLuggageCheckIsSupportSoterAuthentication;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(73787);
        super.writeToParcel(parcel, i);
        parcel.writeString(this.hDn);
        AppMethodBeat.o(73787);
    }

    protected JsApiLuggageCheckIsSupportSoterAuthentication$GetIsSupportSoterTask(Parcel parcel) {
        AppMethodBeat.i(73788);
        g(parcel);
        AppMethodBeat.o(73788);
    }

    public final void g(Parcel parcel) {
        AppMethodBeat.i(73789);
        super.g(parcel);
        this.hDn = parcel.readString();
        AppMethodBeat.o(73789);
    }

    static {
        AppMethodBeat.i(73790);
        AppMethodBeat.o(73790);
    }

    public final void asP() {
        AppMethodBeat.i(73786);
        this.hDn = a.dQT();
        ab.i("MicroMsg.GetIsSupportSoterTask", "hy: verifyRemoteStr: %s", new Object[]{this.hDn});
        aCb();
        AppMethodBeat.o(73786);
    }
}
